Catalogue API
Update a catalogue price
Update a contextual price for a catalogue item.
PATCH
/v1/catalogue/items/{itemId}/prices/{priceId}Request
Path, query, and JSON body fields accepted by this operation.
itemIdstring<uuid>requiredpathpriceIdstring<uuid>requiredpathtype"base" | "override" | "sale"bodycurrencyCodestringbodymin length 3max length 3amountintegerbodymin 0max 100000000000minQuantityintegerbodymin 1max 10000maxQuantityinteger | nullbodymin 1max 10000rulesobject[]bodymax items 20attributestringrequiredmin length 1max length 120operator"eq" | "neq" | "in" | "not_in" | "gt" | "gte" | "lt" | "lte"requiredvaluestring | number | boolean | string | number | boolean[]required
priorityintegerbodymin -1000max 1000startsAtstring<date-time> | nullbodyendsAtstring<date-time> | nullbodyexpectedUpdatedAtstring<date-time>requiredbody
Response
Successful responses use Dawn's data envelope.
dataCataloguePricerequiredidstring<uuid>requiredworkspaceIdstring<uuid>requiredcatalogueItemIdstring<uuid>requiredtype"base" | "override" | "sale"requiredcurrencyCodestringrequiredmin length 3max length 3amountintegerrequiredmin 0max 100000000000minQuantityintegerrequiredmin 1max 10000maxQuantityinteger | nullrequiredmin 1max 10000rulesobject[]requiredmax items 20attributestringrequiredmin length 1max length 120operator"eq" | "neq" | "in" | "not_in" | "gt" | "gte" | "lt" | "lte"requiredvaluestring | number | boolean | string | number | boolean[]required
priorityintegerrequiredmin -1000max 1000startsAtstring<date-time> | nullrequiredendsAtstring<date-time> | nullrequiredcreatedAtstring<date-time>requiredupdatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
404The catalogue price could not be found.409The catalogue price changed after it was loaded.422The catalogue price is invalid.503The catalogue price could not be saved.
Last updated on